View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005867ParaView(No Category)public2007-10-11 14:262009-05-13 13:59
ReporterDave DeMarle 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0005867: Time Control Toolbar's index shows wrong result when not snapping to discrete steps
DescriptionOpen can.ex2 and then choose Sequence or real time mode in Animation View. The current time in the Time Control Works fine, but the greyed out time step in the Time Control becomes stuck, thereafter showing incorrect information whenever the time is changed. It should either show nothing in this mode, or work like the current time window does when it is greyed out, preventing input but always updating to show the correct information. For the time step it should probably show the index of the maximum time sample lower than or equal to the actual time, or possibly the nearest time sample depending on which the source uses.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0009418)
Dave DeMarle (administrator)
2007-10-11 14:42

It is also inconventient that the current time has limited decimal precision and prefers to show the lowest precision digits instead of the highest precision ones. Open can.ex2 in Snap Mode, and move to step 2. The actual time value is apparently t=0.000199905101908371, however instead of seeing "0.000199905101908" we see "00199905101908371". Because the widget is greyed out, we can't tell that this is a small number and not a very very large one.
(0011856)
Utkarsh Ayachit (administrator)
2008-05-13 10:30

In "Sequence" or "RealTime" mode, the current time index does not make any sense, hence it is disabled.

The time edit in the toolbar now shows the higher precision digits.

/cvsroot/ParaView3/ParaView3/Qt/Components/pqAnimationPanel.cxx,v <-- Qt/Components/pqAnimationPanel.cxx
new revision: 1.52; previous revision: 1.51
(0011943)
Alan Scott (manager)
2008-05-14 19:59

Tested local server

- Issue History
Date Modified Username Field Change
2007-10-11 14:26 Dave DeMarle New Issue
2007-10-11 14:42 Dave DeMarle Note Added: 0009418
2008-04-15 10:34 Berk Geveci Assigned To => Utkarsh Ayachit
2008-04-15 10:34 Berk Geveci Status backlog => tabled
2008-04-15 10:34 Berk Geveci Category => 3.4
2008-05-13 10:30 Utkarsh Ayachit Status tabled => @80@
2008-05-13 10:30 Utkarsh Ayachit Resolution open => fixed
2008-05-13 10:30 Utkarsh Ayachit Note Added: 0011856
2008-05-14 19:59 Alan Scott Status @80@ => closed
2008-05-14 19:59 Alan Scott Note Added: 0011943
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker